Bug 1000072 - systemd rpm spec macros are broken
systemd rpm spec macros are broken
Status: CLOSED DUPLICATE of bug 999924
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Carlos O'Donell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 11:29 EDT by Carl Roth
Modified: 2016-11-24 10:52 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 11:37:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Roth 2013-08-22 11:29:39 EDT
Description of problem:

The macro expansion of the new '%systemd_xxx' macros seems to not be working correctly.  I get something like this when I upgrade a package that includes them:

root@shell:   Updating   : nscd-2.17-13.fc19.x86_64                                    8/26 
root@shell: /var/tmp/rpm-tmp.E2RdOs: line 1: fg: no job control
root@shell: warning: %post(nscd-2.17-13.fc19.x86_64) scriptlet failed, exit status 1
root@shell: Non-fatal POSTIN scriptlet failure in rpm package nscd-2.17-13.fc19.x86_64


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Carl Roth 2013-08-22 11:30:04 EDT
See
systemd-201-2.fc18.7.x86_64
Comment 2 Michal Schmidt 2013-08-22 11:37:22 EDT
Apparently the macros were not expanded during the package build. Needs BuildRequires: systemd ?

*** This bug has been marked as a duplicate of bug 999924 ***

Note You need to log in before you can comment on or make changes to this bug.